import { r as registerInstance, h, H as Host } from './index-ecdfb761.js';
import { p as prod } from './services-63217112.js';

const DevingenProductRootSepet = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const { apiKimlik, product } = this;
    return (h(Host, { class: "d-flex flex-grow-1 flex-column" }, h("sepet-home", { apiEndpoint: prod.sepet, apiHeaders: {
        Authorization: apiKimlik.api.getDefaults().headers['Authorization'],
        'devingen-product-id': product._id,
      } })));
  }
};

export { DevingenProductRootSepet as devingen_product_root_sepet };
